//  RSMS/TAP 
//  Copyright (C) Java4Less.com
//  All rights reserved

// Sample class that illustrates the use of TapSender.sendMessageList()

import java.io.*;
import java.util.*;

//import java.util.logging.*;
import com.java4less.util.logging.*;

import com.java4less.comm.*;
import com.java4less.sms.*;
import com.java4less.sms.tap.*;


public class TapTestMulti
{

   private static String[][] msgs = {
      {"11112222","MY FIRST SMS"},
      {"12345678","This is the second SMS"},
      {"87654321","Last one of a three series"},
   };

public static void main(String[] args) 
{
      
   SmsMessage m;
   ArrayList mlist = new ArrayList();

   for ( int i = 0; i < 3; i++ ) {
      m = new SmsMessage( msgs[i][0], msgs[i][1] );
      mlist.add( m );
   }

   CommConnector connector = 
      new SerialPortConnector( "COM12", 9600, 8, 1, 'N' );

   TapSender sender = new TapSender( connector, "" );

   sender.logger = Logger.getLogger("com.java4less.sms.tap.logger");

   if ( sender.sendMessageList( mlist ) ) {

      for ( int i = 0; i < mlist.size(); i++ ) {
         m = (SmsMessage) mlist.get(i);
         if ( m.isAccepted() ) 
            System.out.println("Message to " 
               + m.getRecipient() + " accepted by SMS Center");
         else
            System.out.println("Message to " 
               + m.getRecipient() + " was REJECTED by SMS Center");
      }

   } else {
      System.out.println("Gateway Connexion failed at some point."
         + " See logs for details.");
   }

} // OF MAIN


} // OF CLASS
